<div
  class="invoice"
  [ngClass]="{ 'fade-in': true, 'fade-out-right': isExiting }"
>
  <button (click)="onBackButtonClick()" class="invoice__btn-back">
    <app-icon-chevron
      class="invoice__btn-back__icon-chevron"
    ></app-icon-chevron>
    <span>Go Back</span>
  </button>
  <app-header
    [status]="invoice.status"
    (markAsPaidButtonClick)="markInvoiceAsPaid()"
    (editButtonClick)="editInvoice()"
    (deleteButtonClick)="openDeletePopUp()"
  ></app-header>
  <app-card [invoice]="invoice"></app-card>
</div>
<app-delete-popup (deleteButtonClick)="deleteInvoice()"></app-delete-popup>
